Bug 443279 - prefs advanced tab content too wide for the outer dialog
prefs advanced tab content too wide for the outer dialog
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-20 00:29 EDT by David Timms
Modified: 2010-11-06 21:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-06 21:45:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example of dialogs that are overflowing (103.91 KB, image/png)
2008-04-20 00:29 EDT, David Timms
no flags Details
screencap of too narrow dialog1 (42.45 KB, image/png)
2008-07-27 11:03 EDT, David Timms
no flags Details
desktop font settings (237.17 KB, image/png)
2008-07-27 11:09 EDT, David Timms
no flags Details
network dialog overflowing (107.21 KB, image/png)
2008-12-12 07:41 EST, David Timms
no flags Details
encryption tab too wide (103.05 KB, image/png)
2008-12-12 07:42 EST, David Timms
no flags Details
umm: the dialog windows are wider, and some stuff fits better (124.70 KB, image/png)
2008-12-12 07:53 EST, David Timms
no flags Details
check now button doesn't fit inside dialog (119.39 KB, image/png)
2009-07-05 10:44 EDT, David Timms
no flags Details
screenshot showing how the preferences box is drawn too narrow (165.17 KB, image/png)
2010-09-17 22:09 EDT, David Timms
no flags Details

  None (edit)
Description David Timms 2008-04-20 00:29:02 EDT
Description of problem:
tabs too wide for the outer dialog.

Version-Release number of selected component (if applicable):
firefox-3.0-0.54.beta5.fc9.i386
xulrunner-1.9-0.54.beta5.fc9.i386

How reproducible:
On both f8 upgraded on notebook, and fresh install to a vmware-guest.

Steps to Reproduce:
1. edit|preferences|advanced
  
Actual results:
right edge of elements are covered by the edge of the dialog

Expected results:
slightly wider preferences dialog so that these items can be seen
, or
less gap on the left of the dialog so that less space is wasted on the left

Additional info:
- polish.
- the outer dialog can be resized so that it is possible to see these parts.
Comment 1 David Timms 2008-04-20 00:29:02 EDT
Created attachment 303038 [details]
example of dialogs that are overflowing
Comment 2 Bug Zapper 2008-05-14 05:45:40 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matěj Cepl 2008-07-25 15:31:03 EDT
David, can you reproduce this with firefox-3.0.1-1.fc9? I just cannot. Also,
from the brief look at your screenshot, it looks very much like there is
something very wrong with your fonts or other screen-related artefacts (maybe,
something caused by vmware?). Are you sure that all other Gnome applications
(e.g., gedit) work without any problems? The last but not least, could we get
value of the firefox option (use about:config to get it) layout.css.dpi, please?

Thank you very much.
Comment 4 David Timms 2008-07-27 11:03:11 EDT
Created attachment 312734 [details]
screencap of too narrow dialog1

(In reply to comment #3)
> David, can you reproduce this with firefox-3.0.1-1.fc9?
firefox-3.0.1-1.fc9.i386
Yes, see attached.

> I just cannot. Also,
> from the brief look at your screenshot, it looks very much like there is
> something very wrong with your fonts or other screen-related artefacts
(maybe,
> something caused by vmware?). 
vmware is installed on this and the other machine where I first saw this.

> Are you sure that all other Gnome applications
> (e.g., gedit) work without any problems?
Yes.

> The last but not least, could we get value of the firefox option (use
about:config to get it) layout.css.dpi, please?
layout.css.dpi=-1
Comment 5 David Timms 2008-07-27 11:09:07 EDT
Created attachment 312735 [details]
desktop font settings

The default font sizes that come with fedora are quite wasteful of space on a
1024x768 display, I make them smaller. I don't know if firefox takes these
values into account when generating the prefs dialog ?

Also, since I made the fonts smaller, shouldn't that make the font text fit the
dialogs more easily ?
Comment 6 David Timms 2008-07-27 11:16:57 EDT
forgot to clear the needinfo bit.
Comment 7 Martin Stransky 2008-10-29 08:09:25 EDT
Taking the bug...
Comment 8 Martin Stransky 2008-12-11 07:32:52 EST
Reporter, can you please check latest official 3.1 beta 2 mozilla binaries? From http://www.mozilla.com/en-US/firefox/all-beta.html
Comment 9 David Timms 2008-12-12 07:41:26 EST
Created attachment 326722 [details]
network dialog overflowing

I don't think I can see a difference between the version originally referenced in this bug and with mozilla site 3.1b2 {extracted and run from zip}.
Comment 10 David Timms 2008-12-12 07:42:39 EST
Created attachment 326723 [details]
encryption tab too wide

The only other Prefs dialog page that overflows the dialog box width.
Comment 11 David Timms 2008-12-12 07:53:19 EST
Created attachment 326724 [details]
umm: the dialog windows are wider, and some stuff fits better

I noticed that the connections dialog is 15-20 px wider, and the entry boxes are now centred OK.

The Network dialog that calls the above dialog, is also wider, but it's content including fonts size seems to be almost scaled perfectly so that the same things are missed.

Note the image has the newest dialogs overlaid on the original capture, otherwise I wouldn't have noticed that they got wider.
Comment 12 Bug Zapper 2009-06-09 20:17:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 David Timms 2009-07-05 10:44:31 EDT
Created attachment 350536 [details]
check now button doesn't fit inside dialog

Note: I do not see this problem on a notebook running F10, updated with a 1400x1050 display.

I still see it with F11 on a brand new motherboard and graphic card. F11 was installed fresh, but user account was kept from F10 (and earlier installs). firefox-3.5-1.fc11.i586 

The same right edge of buttons on the right hand side of a tab not being visible also occurs on the Network and encryption tabs.
Comment 14 Bug Zapper 2010-04-27 08:00:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-06-28 06:35:08 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 David Timms 2010-09-06 09:15:09 EDT
(In reply to comment #13)
> Created attachment 350536 [details]
> I still see it with F11 on a brand new motherboard and graphic card. F11 was
> installed fresh, but user account was kept from F10 (and earlier installs).
> firefox-3.5-1.fc11.i586 
> 
> The same right edge of buttons on the right hand side of a tab not being
> visible also occurs on the Network and encryption tabs.

This issue is still occurring in:
firefox-3.5.11-1.fc12.x86_64
Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.11) Gecko/20100723 Fedora/3.5.11-1.fc12 Firefox/3.5.11

Edit|Preferences|Advanced|Network|Settings dialog is wide enough to fit the content (field). OK.

Edit|Preferences|Advanced|Network dialog is not wide enough to fit the content (buttons for Settings, Clear Now, Exceptions, Remove). Issue is still apparent.
Comment 17 Matěj Cepl 2010-09-17 09:40:16 EDT
(In reply to comment #16)
> This issue is still occurring in:
> firefox-3.5.11-1.fc12.x86_64
> Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.11) Gecko/20100723
> Fedora/3.5.11-1.fc12 Firefox/3.5.11
> 
> Edit|Preferences|Advanced|Network|Settings dialog is wide enough to fit the
> content (field). OK.
> 
> Edit|Preferences|Advanced|Network dialog is not wide enough to fit the content
> (buttons for Settings, Clear Now, Exceptions, Remove). Issue is still apparent.

Please reply to the question in comment 3 and give us a screenshot of the issue, please? Also, do you have some different fonts or something?

Thank you for all the help
Comment 18 David Timms 2010-09-17 22:09:48 EDT
Created attachment 448155 [details]
screenshot showing how the preferences box is drawn too narrow

(In reply to comment #3) re comment 17.
> David, can you reproduce this with firefox-3.0.1-1.fc9?
Well, for current F12 firefox:
firefox-3.5.12-1.fc12.x86_64
, it is still occurring.

> from the brief look at your screenshot, it looks very much like there is
> something very wrong with your fonts or other screen-related artefacts
Seems normal to me.
 
> (maybe, something caused by vmware?).
This is a real machine. The user profile has been re-used from F10,F11.

> Are you sure that all other Gnome applications
> (e.g., gedit) work without any problems?
No trouble that I can see.

> The last but not least, could we get value of the firefox option
> (use about:config to get it) layout.css.dpi, please?
layout.css.dpi = -1  (which appears to be the default).
=====
I tried a fresh user account, and found that the dialogue spacing/width is OK. Based on your hints I tried adjusting firefox font (Edit|Preferences|Content|Fonts & Colors), with no change.

I also tried various System|Preferences|Appearance|Fonts settings changes, with the firefox dialog open. The key one is changing the Application Font.
By default it is: sans 10.

With my normal desktop (with dialog width problem): Sans 8.

The interesting thing with the test user is that adjusting (down) that setting while the firefox|edit|preferences|advanced|network dialogue is open, shows that the text in the dialogue is redrawn with the narrower font. This make the dialog have a bit too much spacing on the right edge, but all parts are fully displayed.

It is only once firefox is restarted that the issue is seen; even though the text is narrower (takes less width), the dialogue seems to have narrowed excessively, and now the right edge of buttons is covered by the border.

If the font is increased from 8 to say 9 or 10, then the live dialog font and button widths change, but the width of the dialog does not, so that right hand edge of many items becomes invisible. Once firefox is restarted, the issue clears itself.
=====
It seems to be 2x issues:
1. when gnome appearance changes are made, font/button width changes are made immediately in the firefox dialogue (if it is open). However, the dialog doesn't take into account that a different font size might need a different dialogue size.

2. when calculating the required dialogue size, it appears that firefox checks width (somehow) for all the other top-level tabs, since they correctly fit after a restart. It seems to not note the required width for the Advanced tab, possibly because it doesn't look at the content within the tabs that are shown on the advanced tab.
Comment 19 Bug Zapper 2010-11-04 07:56:45 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 David Timms 2010-11-06 21:45:17 EDT
My machine was upgraded from f12 to f13. Versions are now:
firefox-3.6.12-1.fc13.x86_64
xulrunner-1.9.2.12-1.fc13.x86_64

Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.12) Gecko/20101027 Fedora/3.6.12-1.fc13 Firefox/3.6.12

Repeating the same appearance|application font changes that triggered this problem, no longer causes the dialog content to be too wide for dialog.

Closing as rawhide (ie later fedora release resolves this).

Note You need to log in before you can comment on or make changes to this bug.